cht電腦資訊gcingcin分享
adm Find login register

Ubuntu 16.04/15.10/15.04/14.10/14.04/…/12.04 安裝最新的 gcin 中文輸入的完整步驟

guest
121subject: Promote 0 Bookmark 02016-08-03quote  

最近升級到16.04,gcin依然可以使用。

但是發現那個顯示輸入法輸入字根的小框框會經常不見了。

請問這個有辦法去修正嗎?

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
122subject: Promote 0 Bookmark 02016-08-03quote  

guest
那個顯示輸入法輸入字根的小框框會經常不見了。
是什麼 desktop,Ubuntu 內定 的 unity ?

Julian Lai
joined: 2015-12-12
posted: 43
promoted:
bookmarked:
123subject: Promote 0 Bookmark 02016-08-22quote  

我在 Ubuntu 16.04 用了第一頁給的最新版本的載點後輸入 sudo apt full-upgrade 後就變成這樣了

gcin-gtk2-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝
 gcin-gtk3-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝
 gcin-qt4-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝

不管用 sudo apt -f install 還是想辦法移除 gcin 都不行

 

dpkg: error processing archive /var/cache/apt/archives/gcin-im-client_2.8.4+eliu-6_amd64.deb (--unpack):
 正要取代 '/usr/lib/x86_64-linux-gnu/gcin/libgcin-im-client.so.1.2.5',它也是套件 libgcin:amd64 2.8.4+dfsg1-1ubuntu1 的檔案
處理時發生錯誤:
 /var/cache/apt/archives/gcin-im-client_2.8.4+eliu-6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

edited: 1
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
124subject: Promote 0 Bookmark 02016-08-23quote  

dpkg -r 

好像可以用 force,沒用過如何忽略 dependency

yawnp0426
joined: 2009-11-19
posted: 47
promoted: 1
bookmarked: 1
125subject: Promote 0 Bookmark 02016-08-23quote  

我按照步驟結果發生錯誤,無法安裝!

Ubuntu 1604 : deb http://hyperrate.com/gcin-ubuntu1604 eliu release

W: http://hyperrate.com/gcin-ubuntu1604/dists/eliu/Release.gpg: Signature by key 3F1A3C3A00BA96E05789B9505C577D59835AB0E3 uses weak digest algorithm (SHA1)

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
126subject: Promote 0 Bookmark 02016-08-23quote  

yawnp0426
W: http://hyperrate.com/gcin-ubuntu1604/dists/eliu/Release.gpg: Signature by key 3F1A3C3A00BA96E05789B9505C577D59835AB0E3 uses weak digest algorithm (SHA1)

W: 是 warning 警告,應該是可以裝才對,有測試過。

yawnp0426
joined: 2009-11-19
posted: 47
promoted: 1
bookmarked: 1
127subject: Promote 0 Bookmark 02016-08-24quote  

不知道為什麼?有了上述錯誤就不能裝了,抓不到檔案,現在我只能用 Ubuntu 內設的 gcin 啟動!

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
128subject: Promote 0 Bookmark 02016-08-24quote  

這似乎不是完整的錯誤訊息?

yawnp0426
joined: 2009-11-19
posted: 47
promoted: 1
bookmarked: 1
129subject: Promote 0 Bookmark 02016-08-24quote  

我剛又試仍然還是抓檔失敗!另外原本 Ubuntu 16.04 內設 gcin 會與終端機套件相衝突;而我更新 Gnome3 ppa {即:sudo add-apt-repository ppa:gnome3-team/gnome3-staging}後終端機套件恢復正常但又變成 GEDIT 套件的作業版面會變成黑屏!

edited: 2
otakuxtom
joined: 2016-08-05
posted: 13
promoted:
bookmarked:
Taiwan
130subject: Promote 0 Bookmark 02016-08-24quote  

eliu

 

W: 是 warning 警告,應該是可以裝才對,有測試過。

 

eliu,那個可以透過你改變生成你的Rlease檔案就能修復
apt-ftparchive release ../ >> ../Release 
這個指令他會自動生成相對應的hash entry。我之前也是硬寫上去,後來找到這個指令之後16.04就不會再報錯了 

otakuxtom
joined: 2016-08-05
posted: 13
promoted:
bookmarked:
Taiwan
131subject: Promote 0 Bookmark 02016-08-24quote  

Julian Lai

我在 Ubuntu 16.04 用了第一頁給的最新版本的載點後輸入 sudo apt full-upgrade 後就變成這樣了

gcin-gtk2-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝
 gcin-gtk3-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝
 gcin-qt4-immodule : 相依關係: gcin-im-client (>= 2.8.4+eliu-6) 但它卻尚未安裝

不管用 sudo apt -f install 還是想辦法移除 gcin 都不行

 

dpkg: error processing archive /var/cache/apt/archives/gcin-im-client_2.8.4+eliu-6_amd64.deb (--unpack):
 正要取代 '/usr/lib/x86_64-linux-gnu/gcin/libgcin-im-client.so.1.2.5',它也是套件 libgcin:amd64 2.8.4+dfsg1-1ubuntu1 的檔案
處理時發生錯誤:
 /var/cache/apt/archives/gcin-im-client_2.8.4+eliu-6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

 

dpkg -i --force-all  /var/cache/apt/archives/gcin-im-client_2.8.4+eliu-6_amd64.deb
這樣可以強制安裝
當然小弟還是建議你刪掉libgcin, 

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
132subject: Promote 0 Bookmark 02016-08-24quote  

據說解法是

Adding this to the gpg.conf on the repository machine avoids this problem


cert-digest-algo SHA256
digest-algo SHA256

已經在 16.04 更新了,不知道有沒有解決問題?

edited: 1
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
133subject: Promote 0 Bookmark 02016-08-24quote  

eliu
已經在 16.04 更新了,不知道有沒有解決問題?
試了,結果沒解決問題。難道要重新 generate key ?

otakuxtom
joined: 2016-08-05
posted: 13
promoted:
bookmarked:
Taiwan
134subject: Promote 0 Bookmark 02016-08-25quote  

如果你說的是那個warning,我上次解法是重新 generate Release,並且重新簽名。那樣做過之後就正常了。

 

不過我最近確實有重新產生key,用另一個演算法產生,不知道跟這個有沒有關係。

edited: 3
yawnp0426
joined: 2009-11-19
posted: 47
promoted: 1
bookmarked: 1
135subject: Promote 0 Bookmark 02016-09-01quote  

(1)解決 Gnome Terminal 無法啟動問題:
sudo add-apt-repository ppa:gnome3-team/gnome3-staging
sudo apt-get update

deb http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu xenial main
deb-src http://ppa.launchpad.net/gnome3-team/gnome3-staging/ubuntu xenial main
Signing key:
1024R/3B1510FD
升級 gnome terminal ... 可以使用終端機了.
(2)解決 Gedit 無法顯示問題:
gcin 升級 2.8.4 版(2.8.4+dfsg1-1ubuntu1)而且必須調整 Gedit 字型及顏色為/*Kate*/模式,才能顯示正常!註:/*古典*/和/*Tango*/模式,打字版面雖然不再黑屏,但卻消失……

註:https://launchpad.net/~gnome3-team/+archive/ubuntu/gnome3-staging

edited: 1
otakuxtom
joined: 2016-08-05
posted: 13
promoted:
bookmarked:
Taiwan
136subject: Promote 0 Bookmark 02016-09-13quote  

建議把gcin-qt5-module的其中一個相依性qtbase-abi-5-5-1.04在ubuntu 16.04拿掉,

我發現這次測試更新kde5到5.7的時候他會造成相依性錯誤。不然就可能要改掉

這個是install qtbase-abi-5-5-1的時候他給我的訊息

套件 qtbase-abi-5-5-1 是虛擬套件,提供者為:
 libqt5core5a 5.5.1+dfsg-16ubuntu7.1【非候選版本】
 libqt5core5a 5.5.1+dfsg-16ubuntu7【非候選版本】

 

 

edited: 1
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
137subject: Promote 0 Bookmark 02016-09-13quote  

otakuxtom
其中一個相依性qtbase-abi-5-5-1.04在ubuntu 16.04拿掉,
這是build 時自動加入的,'control' 裏面沒有 Depends qtbase-abi-*

otakuxtom
joined: 2016-08-05
posted: 13
promoted:
bookmarked:
Taiwan
138subject: Promote 0 Bookmark 02016-09-13quote  

eliu

這是build 時自動加入的,'control' 裏面沒有 Depends qtbase-abi-*

 

恩....,那我就目前只能手動拔掉他了

bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
139subject: segmentation fault on Kubuntu 16.04Promote 0 Bookmark 02016-10-12quote  

I used gcin before with no problem. I freshly installed Kubuntu 16.04 and follow the instructions in this post to install gcin. gcin will start with 2 icons in the systray, but the apps doesn't respond to gcin and input method is not enabled. When I click on gcin's full/half size icon, gcin immediately crash with segmentation fault. I tried deleting ~/.gcin, it doesn't solve the problem.

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
140subject: Promote 0 Bookmark 02016-10-13quote  

1. 外觀 → gcin icon 顯示 → unity indicator

2. sudo mv /usr/bin/ibus-daemon /usr/bin/ibus-daemon.old

原因在此

這樣 logout & login 就可以在 16.04 KDE 用 gcin 了, 有測試過。

edited: 2
bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
141subject: Promote 0 Bookmark 02016-10-13quote  

I moved ibus-daemon but gcin is still not working. It works in firefox / thunderbird, but not in KDE apps like konsole / dolphin. When I left click on the gcin icons in the system tray there is no effect. I see $QT4_IM_MODULE and $GTK_IM_MODULE are "gcin" and  $QT_IM_MODULE is "compose", but there is no $QT5_IM_MODULE even I installed gcin-qt5-immodule.

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
142subject: Promote 0 Bookmark 02016-10-13quote  

Did you install this one ? qt5 programs should be ok.

Ubuntu 1604 : deb http://hyperrate.com/gcin-ubuntu1604 eliu release

bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
143subject: Promote 0 Bookmark 02016-10-14quote  

Yes I have.

Basically I did:

An fresh install from kubuntu 16.04.1 amd64 CD

Did an apt-get dist-upgrade and installed varies standard programs. There wasn't anything that I see conflicted with gcin.

installed gcin from hyperrate repo

created a new user

as the new user run `im-config` to set gcin as IM

logout then login

In both Xfce and Plasma sessions, gcin icons are displayed but only works for non-KDE apps. eg konsole doesn't work with gcin.

eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
144subject: Promote 1 Bookmark 02016-10-14quote  

im-config's poor design, needs below.

-----

/usr/share/im-config/data/26_gcin.rc

add to the end

export QT_IM_MODULE=gcin

edited: 1
bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
145subject: Promote 0 Bookmark 02016-10-14quote  

Problem solved. Thank you.

bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
146subject: Promote 0 Bookmark 02016-10-15quote  

eliu, 還有一個問題。現在xfce下gcin可以正常工作了。但在plasma下,gcin的輸入法視窗沒有顯示,或是只彈出一次後便不再彈出了 (不論是否KDE app都是如此)。這次升級16.04問題多多,花了我整整兩天時間啊 Cry,簡直想放棄linux了。

edited: 1
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
147subject: Promote 0 Bookmark 02016-10-15quote  

在 KDE plasma gcin window 只會顯示一次的問題有人回報修正,過幾天會做成選項,有需要者打開。

bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
148subject: Promote 0 Bookmark 02016-10-20quote  

不知道這是gcin還是kubuntu的問題:

在reboot電腦後首次登入plasma時,經常會卡在splash screen停住 ( 圖片 )。(但不會在沒有reboot,退出後登入時發生。)

按 ctrl-alt-f1 進入terminal 用 `ps x` 查看 ( 圖片 ),看到有一個 [gcin] <defunct> 的行程, 還有另一個活的 gcin 行程。 我打 `killall gcin`後,便能進入桌面。

這問題好像跟上次退出桌面的狀態有關。好像 gcin crashed 或甚麼的會引起這情狀。但我不確定。

--------

另外,請問為何 (正 -> 簡體) 與 ( 簡 -> 正體 ) 的選項沒有反應了?以前按下後會彈出一個視窗顯示轉換後的文字。

edited: 4
eliu

joined: 2007-08-09
posted: 10865
promoted: 592
bookmarked: 184
新竹, 台灣
149subject: Promote 0 Bookmark 02016-10-20quote  

bamoqi
不知道這是gcin還是kubuntu的問題:


在reboot電腦後首次登入plasma時,經常會卡在splash screen停住 ( 圖片 )。(但不會在沒有reboot,退出後登入時發生。)

按 ctrl-alt-f1 進入terminal 用 `ps x` 查看 ( 圖片 ),看到有一個 [gcin] <defunct> 的行程, 還有另一個活的 gcin 行程。 我打 `killall gcin`後,便能進入桌面。

這問題好像跟上次退出桌面的狀態有關。好像 gcin crashed 或甚麼的會引起這情狀。但我不確定。

有試過 reboot or shutdown,都試不出你說的情況。 

另外,請問為何 (正 -> 簡體) 與 ( 簡 -> 正體 ) 的選項沒有反應了?以前按下後會彈出一個視窗顯示轉換後的文字。

1604 的 GTK不相容,正在嘗試解決。

edited: 1
bamoqi
joined: 2016-10-12
posted: 9
promoted:
bookmarked:
150subject: Promote 0 Bookmark 02016-10-20quote  

> 1604 的 GTK不相容,正在嘗試解決。

我在 LibreOffice Writer 也無法使用 gcin 。也是gtk的問題嗎?

prev,1,3,4,5,6,next

cht電腦資訊gcingcin分享
adm Find login register
views:189095